/*
   Copyright (C) 1997,1998,1999
   Kenji Hiranabe, Eiwa System Management, Inc.

   This program is free software.
   Implemented by Kenji Hiranabe(hiranabe@esm.co.jp),
   conforming to the Java(TM) 3D API specification by Sun Microsystems.

   Permission to use, copy, modify, distribute and sell this software
   and its documentation for any purpose is hereby granted without fee,
   provided that the above copyright notice appear in all copies and
   that both that copyright notice and this permission notice appear
   in supporting documentation. Kenji Hiranabe and Eiwa System Management,Inc.
   makes no representations about the suitability of this software for any
   purpose.  It is provided "AS IS" with NO WARRANTY.
*/

package javax.vecmath;

/**
 * A 2-element point represented by signed integer x,y coordinates.
 * 
 * @since vecmath 1.4
 */
public class Point2i extends Tuple2i implements java.io.Serializable {

	static final long serialVersionUID = 9208072376494084954L;

	/**
	 * Constructs and initializes a Point2i from the specified x and y
	 * coordinates.
	 * 
	 * @param x
	 *          the x coordinate
	 * @param y
	 *          the y coordinate
	 */
	public Point2i(int x, int y) {
		super(x, y);
	}

	/**
	 * Constructs and initializes a Point2i from the array of length 2.
	 * 
	 * @param t
	 *          the array of length 2 containing x and y in order.
	 */
	public Point2i(int[] t) {
		super(t);
	}

	/**
	 * Constructs and initializes a Point2i from the specified Tuple2i.
	 * 
	 * @param t1
	 *          the Tuple2i containing the initialization x and y data.
	 */
	public Point2i(Tuple2i t1) {
		super(t1);
	}

	/**
	 * Constructs and initializes a Point2i to (0,0).
	 */
	public Point2i() {
		super();
	}

}
